Bug 151551 - hal causes bad entries in fstab when selinux is disabled
hal causes bad entries in fstab when selinux is disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 03:12 EST by Nathan G. Grennan
Modified: 2013-03-05 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.0.cvs20050318-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 12:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2005-03-19 03:12:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050313 Galeon/1.3.20

Description of problem:
I always disable selinux. As a result, I found mount /media/cdrom no longer works. mount complains of bad option. The bad option is below.

fscontext=system_u:object_r:removable_t

Version-Release number of selected component (if applicable):
hal-0.5.0.cvs20050310-1

How reproducible:
Always

Steps to Reproduce:
1. Disabled Selinux
2. mount /media/cdrom

  

Actual Results:  mount: block device /dev/hdc is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/hdc,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

Expected Results:  mount: block device /dev/hdc is write-protected, mounting read-only

Additional info:

Note You need to log in before you can comment on or make changes to this bug.